
export function createAlert(message, _delay){
    const delay = _delay !== undefined ? _delay : 3000;
    
    return dispatch=> {
        if (_delay !== null){
            setTimeout(()=>dispatch(deleteAlert()), delay);        
        }
        dispatch({type:"CREATE_ALERT", payload: message});
    }
}

export function deleteAlert(){
    return dispatch=>dispatch({type:"DELETE_ALERT"});
}